Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.runtime
Class Selector

    java.lang.Object
      org.apache.ode.bpel.runtime.Selector

All Implemented Interfaces:
  java.io.Serializable

    public class Selector

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`java.lang.Object` | `correlationKey`
`CorrelationKeySet` | `correlationKeySet`
`int` | `idx`
`java.lang.String` | `messageExchangeId`
`boolean` | `oneWay`
`java.lang.String` | `opName`
`PartnerLinkInstance` | `plinkInstance`
`java.lang.String` | `route`

Constructor Summary
`Selector(int idx, PartnerLinkInstance plinkInstance, java.lang.String opName, boolean oneWay, java.lang.String mexId, CorrelationKeySet keySet, java.lang.String route)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### plinkInstance

    public final PartnerLinkInstance plinkInstance

### correlationKey

    public java.lang.Object correlationKey

### correlationKeySet

    public CorrelationKeySet correlationKeySet

### opName

    public final java.lang.String opName

### messageExchangeId

    public final java.lang.String messageExchangeId

### idx

    public final int idx

### oneWay

    public final boolean oneWay

### route

    public final java.lang.String route

Constructor Detail

### Selector

    public Selector(int idx,
                    PartnerLinkInstance plinkInstance,
                    java.lang.String opName,
                    boolean oneWay,
                    java.lang.String mexId,
                    CorrelationKeySet keySet,
                    java.lang.String route)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD